<?php
include_once('c_personals_otdel_card.php');
class c_page_cab_personals_otdel_card_db extends c_page_cab_personals_otdel_card
{
    public $h1='Карточка подразделения - исходные данные';

    function block_main()
    {   $this->h1.=' - исходные данные' ;
        $this->page_title();
        $this->panel_section();
    }

    function panel_section()
    {
        damp_array($this->rec_section,1,-1);
        // информация по фильтрам персонала
        //PERSONALS_FILTER()->show_personal_filter_db_info($this->rec_event['_reffer']) ;

        ?><button class="v1" cmd="check_structure">Проверить структуру разделов</button><?
    }

    function CMD_check_structure()
    {   echo 'Проверяем структуру позразделов<br>' ;
        TREE('obj_site_personals')->update_levels_parents('');
        echo 'Проверка структуру выполнена<br>' ;


    }

}

?>
